> For the complete documentation index, see [llms.txt](https://docs.fixes.world/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fixes.world/developer/on-chain-interactions/rc20/take-list-as-buyer-tx.md).

# Take list as buyer  - tx

#### Example of Fixes Inscription data string:

```
op=list-take-buynow,tick=fixes,amt=10000.0
```

#### Transaction parameters:

<table><thead><tr><th width="161" align="center">Key</th><th width="102" data-type="checkbox">Required</th><th width="169" align="center">FType</th><th>Description</th></tr></thead><tbody><tr><td align="center">tick</td><td>true</td><td align="center">t.String</td><td>Ticker: identity of the 𝔉rc20 token</td></tr><tr><td align="center">batchBuyItems</td><td>true</td><td align="center">t.Dictionary({ key: t.String, value: t.UFix64 })</td><td><p>The dictionary for buying:</p><p><code>rankedId => Amount</code> <br>You can get RankedListingId by querying the marketplace</p></td></tr></tbody></table>

:notebook:**Note:** The key of `batchBuyItems` should be `itemInMarket.rankedId` which can be obtained in the response of querying listings. and the value is how much tokens you will take in the order. **𝔉rc20 trading orders support partial deal.**

#### Transaction code example:

```typescript
import txUserTakeAsBuyer from "@fixes/contracts/transactions/marketplace/user-take-as-buyer-with-commission.cdc?raw";

async function userTakeAsBuyer(
  tick: string,
  batchBuyItems: Record<string, number>
) {
  let args: Array<{ key: string; value: string }> = [];
  for (const key in batchBuyItems) {
    if (!Object.prototype.hasOwnProperty.call(batchBuyItems, key)) continue;
    args.push({
      key,
      value: batchBuyItems[key].toFixed(8),
    });
  }
  const txid = await flow.sendTransaction(txUserTakeAsBuyer, (arg, t) => [
    arg(tick, t.String),
    arg(args, t.Dictionary({ key: t.String, value: t.UFix64 })),
  ]);
  return txid;
}
```

#### Transaction source code

{% @github-files/github-code-block url="<https://github.com/fixes-world/fixes/blob/main/cadence/transactions/marketplace/user-take-as-buyer-with-commission.cdc>" %}

#### Related docs

* [EstimateCost - read](/developer/on-chain-interactions/fixes-inscription/estimatecost-read.md)
* [On-chain Interactions](/developer/on-chain-interactions.md#how-to-send-a-transaction-to-flow-blockchain-or-query-data-from-flow-blockchain)
* [Query 𝔉rc20 Listings](/developer/open-api-service/rc20-marketplace/query-rc20-listings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fixes.world/developer/on-chain-interactions/rc20/take-list-as-buyer-tx.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
